<template>
    <v-stepper v-model="stage" vertical alt-labels>
      <v-stepper-step :complete="stage > 0" step="0">
        Pending
      </v-stepper-step>
      <v-stepper-content step="0">
          <v-progress-circular
            :width="3"
            color="black"
            indeterminate
          ></v-progress-circular>
          waiting for worker to be ready...
      </v-stepper-content>

      <v-stepper-step :complete="stage > 1" step="1">
        Extracting
      </v-stepper-step>
      <v-stepper-content step="1">
          <v-progress-circular
            :width="3"
            color="black"
            indeterminate
          ></v-progress-circular>
          extracting the .tgz files...
      </v-stepper-content>

      <v-stepper-step :complete="stage > 2" step="2">
        Converting
      </v-stepper-step>
      <v-stepper-content step="2">
        <v-progress-circular
          :width="3"
          color="black"
          indeterminate
        ></v-progress-circular>
        {{filesConverted}} files converted
      </v-stepper-content>

      <v-stepper-step :complete="stage > 3" step="3">
        Compressing
      </v-stepper-step>
      <v-stepper-content step="3">
          <v-progress-circular
            :width="3"
            color="black"
            indeterminate
          ></v-progress-circular>
          compressing text files together...
      </v-stepper-content>

      <v-stepper-step :complete="stage > 4" step="4">
        Done
      </v-stepper-step>
    </v-stepper>
</template>

<script>

export default {
  name: 'steppers',
  props: {
    stage: Number,
    filesConverted: Number,
  },
};
</script>
